Summary:	C++ binding for DirectFB
Summary(pl):	Interfejs C++ do DirectFB
Name:		DFB++
Version:	0.9.15
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://www.directfb.org/download/DirectFB/%{name}-%{version}.tar.gz
# Source0-md5:	32f194907e5d36dbafabbe5becdfbdcd
URL:		http://www.directfb.org/
BuildRequires:	DirectFB-devel >= %{version}
BuildRequires:	autoconf
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DFB++ is a C++ binding for DirectFB providing a much easier usage. One
advantage is that the 'thiz' doesn't need to be passed as the first
argument of every interface function. Another feature is the usage of
exceptions. It's annoying having these error checking stuff with
growing deinitialization stacks. Most functions are 'void'. As soon as
a DirectFB function returns an error a DFBException is thrown.
		
%description -l pl
DFB++ jest interfejsem C++ do biblioteki DirectFB, uatwiajcym jej
uywanie. Jedn z zalet jest brak koniecznoci przekazywania 'thiz'
jako pierwszego parametru kadej funkcji. Kolejn jest korzystanie z
wyjtkw. Cige sprawdzanie bdw z powikszajcym stosem
deinicjalizacji moe by dokuczliwe. W DFB++, kiedy funkcja DirectFB
zwraca bd, rzucany jest wyjtek DFBException.

%package devel
Summary:	DFB++ header files
Summary(pl):	Pliki nagwkowe DFB++
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files for DFB++ library.

%description devel -l pl
Pliki nagwkowe biblioteki DFB++.

%package static
Summary:	DFB++ static library
Summary(pl):	Statyczna biblioteka DFB++
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
DFB++ static library.

%description static -l pl
Statyczna biblioteka DFB++.

%prep
%setup -q

%build
%{__autoconf}
%configure \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install examples/simple.cpp $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%attr(755,root,root) %{_bindir}/dfb++-config
%{_includedir}/dfb++
%{_pkgconfigdir}/*.pc
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
